<?php

    $this->addTplJSName('users');
	
	$this->addCSS('templates/default/controllers/addrating/styles.css');
	
	$this->addJS('templates/default/controllers/addrating/addrating.js');

    $this->setPageTitle(LANG_USERS_EDIT_PROFILE);

    if($this->controller->listIsAllowed()){
        $this->addBreadcrumb(LANG_USERS, href_to('users'));
    }
    $this->addBreadcrumb($profile['nickname'], href_to('users', $id));

    $this->addToolButton(array(
        'class' => 'save',
        'title' => LANG_SAVE,
        'href'  => "javascript:icms.forms.submit()"
    ));

    $this->addToolButton(array(
        'class' => 'cancel',
        'title' => LANG_CANCEL,
        'href'  => $cancel_url
    ));

    $this->addBreadcrumb(LANG_USERS_EDIT_PROFILE);

    $this->renderChild('profile_edit_header', array('profile'=>$profile));

    $append_html = '';

    if($allow_delete_profile){

        ob_start(); ?>

        <div class="buttons_delete_profile">
            <?php echo html_button(LANG_USERS_DELETE_PROFILE, 'delete_profile', "icms.users.delete('".href_to('users', $id, 'delete')."', '".LANG_USERS_DELETE_PROFILE."');", array('class'=>'delete_profile')); ?>
        </div>

        <?php $append_html = ob_get_clean(); ?>

    <?php } ?>

<?php
    $this->renderForm($form, $profile, array(
        'action'      => '',
        'append_html' => $append_html,
        'cancel'      => array('show' => true, 'href' => $cancel_url),
        'method'      => 'post',
        'toolbar'     => false
    ), $errors);
?>
<?php
	/* HTML окна накрутки */
	if (cmsUser::isAdmin()){ echo "<script> profile = ".$profile['id']."</script>"; ?>
	<br/>
	<?php $options = cmsCore::getController('addrating')->options;?>
	<?php if($options['rating']){ ?><div id="rating">
	<br/>
	<input type="number" id = "plusrating">
	<button type="submit" id = "addrating" onclick="addrating()"><?php echo LANG_ADDRATING_ADDRATING . ' ' . $profile['nickname']; ?></button>
	<br/>
	<br/>
	</div><?php } ?>
	<?php if($options['karma']){ ?><div id="karma">
	<input type="number" id="pluskarma">
	<button type="submit" id = "addkarma" onclick="addkarma()"><?php echo LANG_ADDRATING_ADDKARMA . ' ' . $profile['nickname']; ?></button>
	<br/>
	<br/>
	</div><?php } ?>
	
<?php } ?>

